这是林泊百科的迁移技术测试站点,所有改动不会同步到林泊百科上,此站点将会在正式迁移后关闭,请勿存放重要数据

用户:晨茗biu~/common.css:修订间差异

来自Limbo Wiki
跳转到导航 跳转到搜索
晨茗biu~留言 | 贡献
无编辑摘要
标签(旧)WikiEditor
晨茗biu~留言 | 贡献
孩子们,不要干用纯CSS画像素画这种抽象事,一堆代码直接让我编辑器卡的动不了了
标签替换 (旧)WikiEditor
 
(未显示同一用户的13个中间版本)
第1行: 第1行:
.pixel {
/*模板:曲里拐弯故事会:START*/
     width: 10px;
.Distorted-Story-Infobox {
     height: 10px;
     border:1px solid;
     background-color: #ff0000;
     border-spacing: 3px;
     background-color: #f8f9fa;
    padding: 0.2em;
    line-height: 1.5em;
    border-left: 10px solid;
    margin:0 20% 0 0;
    width:80%;
    }
.Distorted-Story-Infobox td{
    border:0 !important;
}
}
.center {text-align:center;}
   
.Distorted-Story-text{
background: black;
}
   
@media screen and (max-width: 850px) {
    .Distorted-Story-Infobox {
        margin:0;
        width:100% !important;
    }
}
@media (prefers-color-scheme: dark) and (max-width: 850px) {
    .Distorted-Story-Infobox {
        position: relative;
        border: 1px solid transparent;
        border-left: 10px solid transparent;
        border-image: linear-gradient(
            to right,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0
        ) 1;
    }


.pixelart-to-css {
.Distorted-Story-Infobox::before {
  box-shadow: 5px 5px 0 0 #303f46, 10px 5px 0 0 #303f46, 15px 5px 0 0 #303f46, 20px 5px 0 0 #303f46, 25px 5px 0 0 #303f46, 30px 5px 0 0 #303f46, 35px 5px 0 0 #ffffff, 40px 5px 0 0 #303f46, 45px 5px 0 0 #303f46, 50px 5px 0 0 #303f46, 55px 5px 0 0 #303f46, 60px 5px 0 0 #ffffff, 65px 5px 0 0 #303f46, 70px 5px 0 0 #303f46, 75px 5px 0 0 #303f46, 80px 5px 0 0 #303f46, 5px 10px 0 0 #303f46, 10px 10px 0 0 #303f46, 15px 10px 0 0 #303f46, 20px 10px 0 0 #303f46, 25px 10px 0 0 #303f46, 30px 10px 0 0 #ffffff, 35px 10px 0 0 #ffcdd2, 40px 10px 0 0 #ffffff, 45px 10px 0 0 #303f46, 50px 10px 0 0 #303f46, 55px 10px 0 0 #ffffff, 60px 10px 0 0 #ffcdd2, 65px 10px 0 0 #ffffff, 70px 10px 0 0 #303f46, 75px 10px 0 0 #303f46, 80px 10px 0 0 #303f46, 5px 15px 0 0 #303f46, 10px 15px 0 0 #303f46, 15px 15px 0 0 #303f46, 20px 15px 0 0 #303f46, 25px 15px 0 0 #303f46, 30px 15px 0 0 #ffffff, 35px 15px 0 0 #ffcdd2, 40px 15px 0 0 #ffcdd2, 45px 15px 0 0 #ffffff, 50px 15px 0 0 #ffffff, 55px 15px 0 0 #ffcdd2, 60px 15px 0 0 #ffcdd2, 65px 15px 0 0 #ffffff, 70px 15px 0 0 #303f46, 75px 15px 0 0 #303f46, 80px 15px 0 0 #303f46, 5px 20px 0 0 #303f46, 10px 20px 0 0 #303f46, 15px 20px 0 0 #303f46, 20px 20px 0 0 #303f46, 25px 20px 0 0 #303f46, 30px 20px 0 0 #ffffff, 35px 20px 0 0 #ffcdd2, 40px 20px 0 0 #ffffff, 45px 20px 0 0 #ffffff, 50px 20px 0 0 #ffffff, 55px 20px 0 0 #ffffff, 60px 20px 0 0 #ffcdd2, 65px 20px 0 0 #ffffff, 70px 20px 0 0 #303f46, 75px 20px 0 0 #303f46, 80px 20px 0 0 #303f46, 5px 25px 0 0 #303f46, 10px 25px 0 0 #303f46, 15px 25px 0 0 #303f46, 20px 25px 0 0 #303f46, 25px 25px 0 0 #303f46, 30px 25px 0 0 #ffffff, 35px 25px 0 0 #ffffff, 40px 25px 0 0 #ffffff, 45px 25px 0 0 #ffffff, 50px 25px 0 0 #ffffff, 55px 25px 0 0 #ffffff, 60px 25px 0 0 #ffffff, 65px 25px 0 0 #ffffff, 70px 25px 0 0 #303f46, 75px 25px 0 0 #303f46, 80px 25px 0 0 #303f46, 5px 30px 0 0 #303f46, 10px 30px 0 0 #303f46, 15px 30px 0 0 #303f46, 20px 30px 0 0 #303f46, 25px 30px 0 0 #303f46, 30px 30px 0 0 #ffffff, 35px 30px 0 0 #000000, 40px 30px 0 0 #ffffff, 45px 30px 0 0 #ffffff, 50px 30px 0 0 #000000, 55px 30px 0 0 #ffffff, 60px 30px 0 0 #ffffff, 65px 30px 0 0 #ffffff, 70px 30px 0 0 #303f46, 75px 30px 0 0 #303f46, 80px 30px 0 0 #303f46, 5px 35px 0 0 #303f46, 10px 35px 0 0 #303f46, 15px 35px 0 0 #303f46, 20px 35px 0 0 #303f46, 25px 35px 0 0 #303f46, 30px 35px 0 0 #ffffff, 35px 35px 0 0 #ffffff, 40px 35px 0 0 #000000, 45px 35px 0 0 #ffffff, 50px 35px 0 0 #ffffff, 55px 35px 0 0 #ffffff, 60px 35px 0 0 #ffffff, 65px 35px 0 0 #ffffff, 70px 35px 0 0 #303f46, 75px 35px 0 0 #303f46, 80px 35px 0 0 #303f46, 5px 40px 0 0 #303f46, 10px 40px 0 0 #303f46, 15px 40px 0 0 #303f46, 20px 40px 0 0 #303f46, 25px 40px 0 0 #303f46, 30px 40px 0 0 #ffffff, 35px 40px 0 0 #ffffff, 40px 40px 0 0 #ffffff, 45px 40px 0 0 #ffffff, 50px 40px 0 0 #ffffff, 55px 40px 0 0 #ffffff, 60px 40px 0 0 #ffffff, 65px 40px 0 0 #ffffff, 70px 40px 0 0 #303f46, 75px 40px 0 0 #303f46, 80px 40px 0 0 #303f46, 5px 45px 0 0 #303f46, 10px 45px 0 0 #303f46, 15px 45px 0 0 #303f46, 20px 45px 0 0 #303f46, 25px 45px 0 0 #303f46, 30px 45px 0 0 #303f46, 35px 45px 0 0 #ffffff, 40px 45px 0 0 #ffffff, 45px 45px 0 0 #ffffff, 50px 45px 0 0 #ffffff, 55px 45px 0 0 #ffffff, 60px 45px 0 0 #ffffff, 65px 45px 0 0 #303f46, 70px 45px 0 0 #303f46, 75px 45px 0 0 #303f46, 80px 45px 0 0 #303f46, 5px 50px 0 0 #303f46, 10px 50px 0 0 #303f46, 15px 50px 0 0 #303f46, 20px 50px 0 0 #303f46, 25px 50px 0 0 #303f46, 30px 50px 0 0 #303f46, 35px 50px 0 0 #303f46, 40px 50px 0 0 #ffffff, 45px 50px 0 0 #ffffff, 50px 50px 0 0 #ffffff, 55px 50px 0 0 #ffffff, 60px 50px 0 0 #303f46, 65px 50px 0 0 #303f46, 70px 50px 0 0 #ffffff, 75px 50px 0 0 #303f46, 80px 50px 0 0 #303f46, 5px 55px 0 0 #303f46, 10px 55px 0 0 #303f46, 15px 55px 0 0 #303f46, 20px 55px 0 0 #303f46, 25px 55px 0 0 #303f46, 30px 55px 0 0 #303f46, 35px 55px 0 0 #303f46, 40px 55px 0 0 #ffffff, 45px 55px 0 0 #ffffff, 50px 55px 0 0 #ffffff, 55px 55px 0 0 #ffffff, 60px 55px 0 0 #303f46, 65px 55px 0 0 #303f46, 70px 55px 0 0 #303f46, 75px 55px 0 0 #ffffff, 80px 55px 0 0 #303f46, 5px 60px 0 0 #303f46, 10px 60px 0 0 #303f46, 15px 60px 0 0 #303f46, 20px 60px 0 0 #303f46, 25px 60px 0 0 #303f46, 30px 60px 0 0 #303f46, 35px 60px 0 0 #ffffff, 40px 60px 0 0 #ffffff, 45px 60px 0 0 #ffffff, 50px 60px 0 0 #ffffff, 55px 60px 0 0 #ffffff, 60px 60px 0 0 #ffffff, 65px 60px 0 0 #303f46, 70px 60px 0 0 #303f46, 75px 60px 0 0 #ffffff, 80px 60px 0 0 #303f46, 5px 65px 0 0 #303f46, 10px 65px 0 0 #303f46, 15px 65px 0 0 #303f46, 20px 65px 0 0 #303f46, 25px 65px 0 0 #ffffff, 30px 65px 0 0 #ffffff, 35px 65px 0 0 #ffffff, 40px 65px 0 0 #ffffff, 45px 65px 0 0 #ffffff, 50px 65px 0 0 #ffffff, 55px 65px 0 0 #ffffff, 60px 65px 0 0 #ffffff, 65px 65px 0 0 #303f46, 70px 65px 0 0 #303f46, 75px 65px 0 0 #ffffff, 80px 65px 0 0 #303f46, 5px 70px 0 0 #303f46, 10px 70px 0 0 #303f46, 15px 70px 0 0 #303f46, 20px 70px 0 0 #303f46, 25px 70px 0 0 #ffffff, 30px 70px 0 0 #ffffff, 35px 70px 0 0 #ffffff, 40px 70px 0 0 #ffffff, 45px 70px 0 0 #ffffff, 50px 70px 0 0 #ffffff, 55px 70px 0 0 #ffffff, 60px 70px 0 0 #ffffff, 65px 70px 0 0 #303f46, 70px 70px 0 0 #ffffff, 75px 70px 0 0 #ffffff, 80px 70px 0 0 #303f46, 5px 75px 0 0 #303f46, 10px 75px 0 0 #303f46, 15px 75px 0 0 #303f46, 20px 75px 0 0 #ffffff, 25px 75px 0 0 #ffffff, 30px 75px 0 0 #ffffff, 35px 75px 0 0 #ffffff, 40px 75px 0 0 #ffffff, 45px 75px 0 0 #ffffff, 50px 75px 0 0 #ffffff, 55px 75px 0 0 #ffffff, 60px 75px 0 0 #ffffff, 65px 75px 0 0 #ffffff, 70px 75px 0 0 #ffffff, 75px 75px 0 0 #303f46, 80px 75px 0 0 #303f46, 5px 80px 0 0 #607d8b, 10px 80px 0 0 #607d8b, 15px 80px 0 0 #607d8b, 20px 80px 0 0 #607d8b, 25px 80px 0 0 #607d8b, 30px 80px 0 0 #ffffff, 35px 80px 0 0 #ffffff, 40px 80px 0 0 #607d8b, 45px 80px 0 0 #607d8b, 50px 80px 0 0 #607d8b, 55px 80px 0 0 #ffffff, 60px 80px 0 0 #ffffff, 65px 80px 0 0 #607d8b, 70px 80px 0 0 #607d8b, 75px 80px 0 0 #607d8b, 80px 80px 0 0 #607d8b;
        content: "";
  height: 5px;
        position: absolute;
  width: 5px;
        top: -1px;
        left: -10px;
        bottom: -1px;
        width: 10px;
        background: repeating-linear-gradient(
            to bottom,
            #ff9999 0%,   #ffb366 5%,   #ffeb99 10%,
            #7ddf90 15%, #66b3ff 20%, #9999ff 25%, #d49be0 30%
        );
    }
   
.Distorted-Story-text{
background: linear-gradient(
        to right,
        #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
        #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
        #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0
    );
    }
}
}
/*模板:曲里拐弯故事会:END*/

2026年6月6日 (六) 16:52的最新版本

/*模板:曲里拐弯故事会:START*/
.Distorted-Story-Infobox {
    border:1px solid;
    border-spacing: 3px;
    background-color: #f8f9fa;
    padding: 0.2em;
    line-height: 1.5em;
    border-left: 10px solid;
    margin:0 20% 0 0;
    width:80%;
    }
.Distorted-Story-Infobox td{
    border:0 !important;
}
    
.Distorted-Story-text{
	background: black;
}
    
@media screen and (max-width: 850px) {
    .Distorted-Story-Infobox {
        margin:0;
        width:100% !important;
    }
}
@media (prefers-color-scheme: dark) and (max-width: 850px) {
    .Distorted-Story-Infobox {
        position: relative;
        border: 1px solid transparent;
        border-left: 10px solid transparent;
        border-image: linear-gradient(
            to right,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
            #ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0
        ) 1;
    }

	.Distorted-Story-Infobox::before {
        content: "";
        position: absolute;
        top: -1px;
        left: -10px;
        bottom: -1px;
        width: 10px;
        background: repeating-linear-gradient(
            to bottom,
            #ff9999 0%,   #ffb366 5%,   #ffeb99 10%,
            #7ddf90 15%,  #66b3ff 20%,  #9999ff 25%,  #d49be0 30%
        );
    }
    
	.Distorted-Story-text{
		background: linear-gradient(
        	to right,
        	#ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
        	#ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0,
        	#ff9999, #ffb366, #ffeb99, #7ddf90, #66b3ff, #9999ff, #d49be0
    	);
    }
}
/*模板:曲里拐弯故事会:END*/